Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkSelectVisiblePoints Class Reference

`#include <vtkSelectVisiblePoints.h>`

Inheritance diagram for vtkSelectVisiblePoints:

[legend]
Collaboration diagram for vtkSelectVisiblePoints:

[legend]
List of all members.

## Detailed Description

extract points that are visible (based on z-buffer calculation)

Date:
  2002/08/22 22:00:34

Revision:
  1.23

vtkSelectVisiblePoints is a filter that selects points based on whether they are visible or not. Visibility is determined by accessing the z-buffer of a rendering window. (The position of each input point is converted into display coordinates, and then the z-value at that point is obtained. If within the user-specified tolerance, the point is considered visible.)

Points that are visible (or if the ivar SelectInvisible is on, invisible points) are passed to the output. Associated data attributes are passed to the output as well.

This filter also allows you to specify a rectangular window in display (pixel) coordinates in which the visible points must lie. This can be used as a sort of local "brushing" operation to select just data within a window.

Warning:
  You must carefully synchronize the execution of this filter. The filter refers to a renderer, which is modified every time a render occurs. Therefore, the filter is always out of date, and always executes. You may have to perform two rendering passes, or if you are using this filter in conjunction with vtkLabeledPointMapper, things work out because 2D rendering occurs after the 3D rendering.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (59%)
  - Miller, Jim (10%)
  - Cedilnik, Andy (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkSelectVisiblePoints.cxx)`
  - .`h` (`/Rendering/vtkSelectVisiblePoints.h)`

Examples:
  vtkSelectVisiblePoints (Examples)

Tests:
  vtkSelectVisiblePoints (Tests)

Definition at line 73 of file vtkSelectVisiblePoints.h.

## Public Types
typedef vtkDataSetToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
unsigned long | GetMTime ()
void | SetRenderer (vtkRenderer *ren)
vtkRenderer * | GetRenderer ()
virtual void | SetSelectionWindow (int)
virtual int | GetSelectionWindow ()
virtual void | SelectionWindowOn ()
virtual void | SelectionWindowOff ()
virtual void | SetSelection (int, int, int, int)
virtual void | SetSelection (int[4])
virtual int * | GetSelection ()
virtual void | GetSelection (int data[4])
virtual void | SetSelectInvisible (int)
virtual int | GetSelectInvisible ()
virtual void | SelectInvisibleOn ()
virtual void | SelectInvisibleOff ()
virtual void | SetTolerance (float)
virtual float | GetTolerance ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkSelectVisiblePoints * | SafeDownCast (vtkObject *o)
vtkSelectVisiblePoints * | New ()
## Protected Methods
| vtkSelectVisiblePoints ()
| ~vtkSelectVisiblePoints ()
void | Execute ()
## Protected Attributes
vtkRenderer * | Renderer
int | SelectionWindow
int | Selection [4]
int | SelectInvisible
float | Tolerance

## Member Typedef Documentation

typedef vtkDataSetToPolyDataFilter vtkSelectVisiblePoints::Superclass

| Reimplemented from vtkDataSetToPolyDataFilter. Definition at line 76 of file vtkSelectVisiblePoints.h.

## Constructor & Destructor Documentation

vtkSelectVisiblePoints::vtkSelectVisiblePoints | ( |  | ) | `[protected]`

vtkSelectVisiblePoints::~vtkSelectVisiblePoints | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkSelectVisiblePoints::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToPolyDataFilter.

int vtkSelectVisiblePoints::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

virtual int vtkSelectVisiblePoints::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

vtkSelectVisiblePoints* vtkSelectVisiblePoints::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToPolyDataFilter.

void vtkSelectVisiblePoints::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToPolyDataFilter.

vtkSelectVisiblePoints* vtkSelectVisiblePoints::New | ( |  | ) | `[static]`

| Instantiate object with no renderer; window selection turned off; tolerance set to 0.01; and select invisible off. Reimplemented from vtkObject.

void vtkSelectVisiblePoints::SetRenderer | ( | vtkRenderer * | ren | ) | `[inline]`

| Specify the renderer in which the visibility computation is to be performed. Definition at line 86 of file vtkSelectVisiblePoints.h. References vtkObject::Modified().

vtkRenderer* vtkSelectVisiblePoints::GetRenderer | ( |  | ) | `[inline]`

| Specify the renderer in which the visibility computation is to be performed. Definition at line 94 of file vtkSelectVisiblePoints.h.

virtual void vtkSelectVisiblePoints::SetSelectionWindow | ( | int |  | ) | `[virtual]`

| Set/Get the flag which enables selection in a rectangular display region.

virtual int vtkSelectVisiblePoints::GetSelectionWindow | ( |  | ) | `[virtual]`

| Set/Get the flag which enables selection in a rectangular display region.

virtual void vtkSelectVisiblePoints::SelectionWindowOn | ( |  | ) | `[virtual]`

| Set/Get the flag which enables selection in a rectangular display region.

virtual void vtkSelectVisiblePoints::SelectionWindowOff | ( |  | ) | `[virtual]`

| Set/Get the flag which enables selection in a rectangular display region.

virtual void vtkSelectVisiblePoints::SetSelection | ( | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Specify the selection window in display coordinates. You must specify a rectangular region using (xmin,xmax,ymin,ymax).

virtual void vtkSelectVisiblePoints::SetSelection | ( | int | [4] | ) | `[virtual]`

| Specify the selection window in display coordinates. You must specify a rectangular region using (xmin,xmax,ymin,ymax).

virtual int* vtkSelectVisiblePoints::GetSelection | ( |  | ) | `[virtual]`

| Specify the selection window in display coordinates. You must specify a rectangular region using (xmin,xmax,ymin,ymax).

virtual void vtkSelectVisiblePoints::GetSelection | ( | int | data[4] | ) | `[virtual]`

| Specify the selection window in display coordinates. You must specify a rectangular region using (xmin,xmax,ymin,ymax).

virtual void vtkSelectVisiblePoints::SetSelectInvisible | ( | int |  | ) | `[virtual]`

| Set/Get the flag which enables inverse selection; i.e., invisible points are selected.

virtual int vtkSelectVisiblePoints::GetSelectInvisible | ( |  | ) | `[virtual]`

| Set/Get the flag which enables inverse selection; i.e., invisible points are selected.

virtual void vtkSelectVisiblePoints::SelectInvisibleOn | ( |  | ) | `[virtual]`

| Set/Get the flag which enables inverse selection; i.e., invisible points are selected.

virtual void vtkSelectVisiblePoints::SelectInvisibleOff | ( |  | ) | `[virtual]`

| Set/Get the flag which enables inverse selection; i.e., invisible points are selected.

virtual void vtkSelectVisiblePoints::SetTolerance | ( | float |  | ) | `[virtual]`

| Set/Get a tolerance to use to determine whether a point is visible. A tolerance is usually required because the conversion from world space to display space during rendering introduces numerical round-off.

virtual float vtkSelectVisiblePoints::GetTolerance | ( |  | ) | `[virtual]`

| Set/Get a tolerance to use to determine whether a point is visible. A tolerance is usually required because the conversion from world space to display space during rendering introduces numerical round-off.

unsigned long vtkSelectVisiblePoints::GetMTime | ( |  | ) | `[virtual]`

| Return MTime also considering the renderer. Reimplemented from vtkObject.

void vtkSelectVisiblePoints::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

vtkRenderer* vtkSelectVisiblePoints::Renderer`[protected]`

| Definition at line 137 of file vtkSelectVisiblePoints.h.

int vtkSelectVisiblePoints::SelectionWindow`[protected]`

| Definition at line 139 of file vtkSelectVisiblePoints.h.

int vtkSelectVisiblePoints::Selection[4]`[protected]`

| Definition at line 140 of file vtkSelectVisiblePoints.h.

int vtkSelectVisiblePoints::SelectInvisible`[protected]`

| Definition at line 141 of file vtkSelectVisiblePoints.h.

float vtkSelectVisiblePoints::Tolerance`[protected]`

| Definition at line 142 of file vtkSelectVisiblePoints.h.

The documentation for this class was generated from the following file:

- Rendering/vtkSelectVisiblePoints.h